import * as z from 'zod';
import { MissingTeethStatusSchema } from '../../enums/MissingTeethStatus.schema';
import { ClaimStatusSchema } from '../../enums/ClaimStatus.schema';
// prettier-ignore
export const ClaimResultSchema = z.object({
    id: z.number().int(),
    patientId: z.number().int(),
    appointmentId: z.number().int().int().nullable(),
    userId: z.number().int(),
    staffId: z.number().int(),
    patientName: z.string(),
    memberId: z.string(),
    dateOfBirth: z.date(),
    remarks: z.string(),
    missingTeethStatus: MissingTeethStatusSchema,
    missingTeeth: z.unknown().nullable(),
    serviceDate: z.date(),
    insuranceProvider: z.string(),
    createdAt: z.date(),
    updatedAt: z.date(),
    status: ClaimStatusSchema,
    claimNumber: z.string().nullable(),
    preAuthNumber: z.string().nullable(),
    npiProviderId: z.number().int().nullable(),
    patient: z.unknown(),
    appointment: z.unknown().nullable(),
    user: z.unknown().nullable(),
    staff: z.unknown().nullable(),
    npiProvider: z.unknown().nullable(),
    serviceLines: z.array(z.unknown()),
    claimFiles: z.array(z.unknown()),
    payment: z.unknown().nullable()
}).strict();

export type ClaimResultType = z.infer<typeof ClaimResultSchema>;
